io.undertow.server

## Class RequestTooBigException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.server.RequestTooBigException

All Implemented Interfaces:
  Serializable

    public class RequestTooBigException
    extends IOException

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestTooBigException()`
`RequestTooBigException(String message)`
`RequestTooBigException(String message, Throwable cause)`
`RequestTooBigException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestTooBigException

    public RequestTooBigException()

#### RequestTooBigException

    public RequestTooBigException(String message)

#### RequestTooBigException

    public RequestTooBigException(String message,
                                  Throwable cause)

#### RequestTooBigException

    public RequestTooBigException(Throwable cause)